#define TOOLS_C

#include "main.h"

int skip_atoi(const char **input)
{
 int tmp = 0;
 
 while (isdigit((unsigned char) **input))
   tmp = (tmp * 10) + TONUMB(*((*input)++));
 
 return (tmp);
}

long int skip_atol(const char **input)
{
 long int tmp = 0;
 
 while (isdigit((unsigned char) **input))
   tmp = (tmp * 10) + TONUMB(*((*input)++));
 
 return (tmp);
}
